M=15; konec=2000;
minT=600; maxT=1600;
%okruh=5; %VR-lichý, 1;  MR-sudý, M
m=max(size(teplota(1,1,:)));
T=zeros(m,13);
maxH=max(max(htc));
for okruh=1:13
s(okruh)=S(1,okruh); %vzdálenost středu okruhu

cisloRezu(okruh)=b(okruh,round((n(okruh)+1)/2));

if cisloRezu(okruh)>0 
if mod(okruh,2) %sudý
    kraj=M;
else kraj=1; %lichý
end

if m<1001
    t=tout;
else t=linspace(0,tout(end),m);
end

T(:,okruh)=teplota(kraj,cisloRezu(okruh),:);

end %if cisloRezu
end

figure(1);
plot(t,T(:,[1,3,4,5,7,9,11,13]),'LineWidth',2); 
title(['Průběh teploty na okraji v okruzích VR']); %hold off;
xlabel('čas [s]'); ylabel('Teplota na okraji [°C]');
legend('1','3','4','5','7','9','11','13');
%legend('1.okruh','2.okruh','3.okruh','4.okruh','5.okruh','6.okruh','7.okruh','8.okruh','9.okruh','10.okruh','11.okruh','12.okruh','13.okruh');
axis([0 konec minT maxT]);
figure(2);
plot(t,T(:,[1,3,4,5,6,8,10,12]),'LineWidth',2); 
title(['Průběh teploty na okraji v okruzích MR']); %hold off;
xlabel('čas [s]'); ylabel('Teplota na okraji [°C]');
legend('1','3','4','5','6','8','10','12');
%legend('1.okruh','2.okruh','3.okruh','4.okruh','5.okruh','6.okruh','7.okruh','8.okruh','9.okruh','10.okruh','11.okruh','12.okruh','13.okruh');
axis([0 konec minT maxT]);


figure(3);
plot(t,htc(:,[1,3,4,5,7,9,11,13]),'LineWidth',2);
xlabel('čas [s]'); ylabel('htc');
title('Průběh chlazení v okruzích VR'); %hold off;
legend('1','3','4','5','7','9','11','13');
axis([0 konec 0 maxH+10]);
figure(4);
plot(t,htc(:,[1,3,4,5,6,8,10,12]),'LineWidth',2);
xlabel('čas [s]'); ylabel('htc');
title('Průběh chlazení v okruzích MR'); %hold off;
legend('1','3','4','5','6','8','10','12');
axis([0 konec 0 maxH+10]);

figure(5);
plot(t,T_lici,'LineWidth',2);
xlabel('čas [s]'); ylabel('licí teplota [°C]');
legend('1','2','3','4','5','6','7','8','9','10','11','12','13');
title('Průběh (postup) licí teploty'); %hold off;
axis([0 konec 1538 1552]);

figure(7);
%v_vstup=ones(m,1).*v_vstup;
[AX,H1,H2]=plotyy(t,v_vstup*60,t,md,'plot'); 
xlabel('čas [s]'); 
set(get(AX(1),'Ylabel'),'String','Rychlost licí [m/min]') 
set(get(AX(2),'Ylabel'),'String','Metalurgická délka [m]') 
title('Průběh licí rychlosti a metalurgické délky');
